Skip to main content
POST
Create Product

Authorizations

X-API-KEY
string
header
required

Your secret API key obtained from the Clink dashboard (Developers section)

Headers

X-Timestamp
string
required

Current timestamp in milliseconds since Unix epoch (required for request signing)

Example:

"1783513683000"

Body

application/json

Parameters required to create a product by API

name
string
required

Default product name

image
string
required

Uploaded product image OSS ID

taxCategory
enum<string>
required

Product tax category

Available options:
digital_goods_or_service,
ebook,
software_service
localizedNames
object

Localized product names. Key is a language or locale code, value is the localized product name.

description
string

Product description

defaultPrice
string

Default price ID. Usually omitted when creating a new product with priceList.

priceList
object[]

Prices to create with this product

Response

Product created successfully

Body of the response message

code
integer<int32>

Response status code, 200 when success

msg
string

Brief description of what happened, success when happy case

data
object